package de.cliffbreak.varo.listeners;

import java.util.ArrayList;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent.Result;

import de.cliffbreak.varo.Varo;

public class PlayerPreLoginListener implements Listener {

    private final Varo plugin;

    public PlayerPreLoginListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler()
    public void onPlayerPreLogin(final AsyncPlayerPreLoginEvent e) {
        @SuppressWarnings("unchecked")
        final ArrayList<String> bans = (ArrayList<String>) this.plugin.config.get("Varo.Bans");
        if (bans.contains(e.getPlayerProfile().getId().toString().replace("-", ""))) {
            e.disallow(Result.KICK_BANNED, "§4Du bist gestorben.\n \n§cDamit bist du aus §eVaro§c ausgeschieden.");
        }
    }
}